Imports Mercury.Mobile.Enumeration

<CLSCompliant(False)> _
Friend Class MockEnum
    Inherits Enumeration

    Public Sub New()
    End Sub

    Private Sub New(ByVal name As String, ByVal value As Integer)
        MyBase.New(name, value)
    End Sub

    Public Shared ReadOnly Original As MockEnum = New MockEnum("Original", 0)

    Public Shared ReadOnly Artificial As MockEnum = New MockEnum("Artificial", 1)

    Public Shared ReadOnly Mocked As MockEnum = New MockEnum("Mocked", 2)

    Public Shared ReadOnly Undefined As MockEnum = New MockEnum("Undefined Value", 3)

End Class